<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// Product Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
    'lz_fitness_premium_top_product_section',
    array(
        'title' => __( 'Top Sellar Section', 'lz-fitness-premium' ),
        'panel' => 'lz_fitness_premium_home_panel',
    )
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
    'lz_fitness_premium_top_product_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_premium_top_product_section_disable',
        array(
            'settings'      => 'lz_fitness_premium_top_product_section_disable',
            'section'       => 'lz_fitness_premium_top_product_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ),
                'off' => __( 'No', 'lz-fitness-premium' ) 
            )   
        )
    )
); 
backgroundManager($wp_customize, 'topproduct', 'lz_fitness_premium_top_product_section', $color='#ffffff');

$wp_customize->add_setting(
    'lz_fitness_top_product_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_top_product_title',
        array(
            'settings'      => 'lz_fitness_top_product_title',
            'section'       => 'lz_fitness_premium_top_product_section',
            'label'         => __( 'Section Title', 'lz-fitness-premium' ),
        )
    )
);   
$wp_customize->add_setting(
    'lz_fitness_top_product_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'TOPSELLAR', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_top_product_title',
    array(
        'settings'      => 'lz_fitness_top_product_title',
        'section'       => 'lz_fitness_premium_top_product_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'lz-fitness-premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_topsellar_HeadingColor', 'lz_fitness_premium_top_product_section', 'Heading color', '#ffffff'); 
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_topsellar_TextColor', 'lz_fitness_premium_top_product_section', 'Text color', '#232222');
// Title color
addColorPalatOption($wp_customize, 'lz_fitness_topsellarPrice_TextColor', 'lz_fitness_premium_top_product_section', 'Price Text color', '#000000');
// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_topsellarIcon_TextColor', 'lz_fitness_premium_top_product_section', 'Icon color', '#ffffff');
// Product Title Wrap color
addColorPalatOption($wp_customize, 'lz_fitness_ProductTitleWrapcolor_TextColor', 'lz_fitness_premium_top_product_section', 'Product Title Wrap color', '#ffffff');
// Preview Button color
addColorPalatOption($wp_customize, 'lz_fitness_PreviewButtoncolor_TextColor', 'lz_fitness_premium_top_product_section', 'Preview Button Background Color', '#88b14b');
